summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-01-23 01:04:48 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-01-23 01:04:48 +0200
commitd59931d3faae79b921e8277fbaa728b1ca551db3 (patch)
treeff1923424d417a7d2f735c73e3c7689c2fdf438f
parent4109e3183e9caa1d575b64489fb2bd4d4328a57b (diff)
parent233370081ae44ed6542cfdb60a3ec9bdce9a4e39 (diff)
Merge branch 'master' of github.com:Rogentos/kogaion-desktop
-rw-r--r--www-plugins/freshplayerplugin/Manifest1
-rw-r--r--www-plugins/freshplayerplugin/freshplayerplugin-0.2.2.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/www-plugins/freshplayerplugin/Manifest b/www-plugins/freshplayerplugin/Manifest
index 1d6fcb26..b713beb1 100644
--- a/www-plugins/freshplayerplugin/Manifest
+++ b/www-plugins/freshplayerplugin/Manifest
@@ -1 +1,2 @@
DIST freshplayerplugin-0.2.1.tar.gz 296795 SHA256 eec2baba2c1cdc2d60b5352c59208bee3d6e7bddd2fe7b6c96478fd287d125b1 SHA512 9daf87e8aeb9ac7056bb8d75e665f7ec79631b943dd7c7481de6badf43d08f4ebc603bbf007da8f2ea8472befdb3d97ab88c741118c9649c7848ef692fb11f6e WHIRLPOOL 2598b5f63023b74e6a8a1514b7d56f88294a3d281bbf053c01a3cc9d60ba0828819a846093dc250a93ab4710c0a568d916c2939169de9c886c9fd3b3ee5279fd
+DIST freshplayerplugin-0.2.2.tar.gz 393692 SHA256 c83a9d02a91f876be1a01882730a9dc54c57b3b2ea2383a2652ca3f705d3314e SHA512 ac70dd3e8ce9577d80c60fc60ee01e260c50da27956cad0096d76af51d2e58905a9738980d3aa08dbb5319f04abea1a4e2a75a4c74ed5e276b30cb470d376560 WHIRLPOOL 830e6a564bff90e2e4facc28fb89c9546958c2d93f044e6ae24fa641a2f4427cf1887aa17cdbb19f718bcf7c4782d6cae2ed5c0b263ba211891a7d45aa7eda9e
diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.2.2.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.2.2.ebuild
new file mode 100644
index 00000000..4fc468f3
--- /dev/null
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.2.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils cmake-multilib nsplugins
+
+DESCRIPTION="ppapi2npapi compatibility layer"
+HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
+SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT LGPL-2.1"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ dev-util/ragel
+ dev-libs/libconfig
+ media-libs/freetype:2
+ >=dev-libs/glib-2.38.2-r1:2
+ >=dev-util/cmake-2.8.8
+ >=media-libs/alsa-lib-1.0.28
+ >=x11-libs/pango-1.36.5
+ >=x11-libs/gtk+-2.20:2
+ >=media-libs/mesa-10.0.4
+ >=dev-libs/libevent-2.0.21-r1
+ "
+RDEPEND="
+ www-plugins/chrome-binary-plugins"
+
+S="${WORKDIR}/${PN}-${PV}"
+
+src_prepare() {
+ epatch "${FILESDIR}"/find-chrome-binary-plugins-flash.patch
+}
+
+multilib_src_configure() {
+ local mycmakeargs="-DFRESHPLAYERPLUGINPATH=${EPREFIX}/usr/$(get_libdir)/freshplayerplugin"
+
+ cmake-utils_src_configure
+}
+
+multilib_src_install() {
+ # install the wrapper
+ exeinto /usr/$(get_libdir)/${PLUGINS_DIR}
+ doexe libfreshwrapper-pepperflash.so
+ # install wrapper configuration file
+ cd "${S}"
+ dodir /usr/share/${PN} || die
+ insinto /usr/share/${PN} || die
+ doins -r "${S}"/data/freshwrapper.conf.example || die
+ dosym /usr/share/${PN}/freshwrapper.conf.example /etc/freshwrapper.conf || die
+}